import caffe


def inference(prototxt, caffemodel, image):
    img = caffe.io.load_image(image, color=False)
    net = caffe.Classifier(prototxt, caffemodel)
    prediction = net.predict([img],oversample=False)
    caffe.set_mode_cpu()
    return prediction

prototxt_path = 'lenet/lenet.prototxt'
caffemodel_path = 'lenet/lenet.caffemodel'
img_path = '0_1.jpeg'
prediction = inference(prototxt_path, caffemodel_path, img_path)
print(prediction[0])
